Toujours utiliser la dernière version de Firefox, y compris sur une ancienne version d’ubuntu.

Un petit billet rapide pour aide-mémoire sur l’utilisation d’un petit script en python nommé ubuntuzilla qui permet de garder firefox à jour, y compris lorsqu’on est obligé de rester bloqué sur une ancienne version d’ubuntu en raison d’un driver proprio pour un périphérique important (un TBI dans mon cas).

J’ai trouvé cette solution sur le site de korben .

Il faut d’abord télécharger ubuntuzilla sur cette page :

http://sourceforge.net/projects/ubuntuzilla/files/

puis installer le .deb à l’aide d’un simple double-clic.

Ouvrir une console (Applications->Accessoires->Terminal) et y glisser cette ligne :

ubuntuzilla.py -a install -p firefox

Répondre aux questions posées (y c’est yes / oui en anglais ^^ c’est compliqué linux non ?) le code pour le français de France est 24 et il faut attendre sans s’inquiéter si ça dure un peu, car il y aura des clé de sécurité gpg de crées pour les mises à jour automatiques.

Et voilà !

Votre navigateur firefox sera toujours à jour, quelque soit l’ancienneté de votre version d’ubuntu. Et ça c’est vraiment bien.

Exemple, aujourd’hui le 8 avril 2010, sur jaunty :

Lucid lynx arrive dans …

La nouvelle version du système d’exploitation GNU/Linux ubuntu sortira dans quelques jours. Il portera le doux nom de Lucid Lynx ou ubuntu 10.04 (10 pour 2010, et 04 pour avril) et sera maintenu à « long terme » (version LTS, long term support), c’est à dire jusque avril 2013 pour la version desktop et  avril 2015 pour la version serveur. J’utilise déjà cette version  desktop à mon domicile et au travail depuis quelques semaines en version alpha et béta : je suis très satisfait. Alors quand tout marche bien, autant communiquer sur ce fait ^^.